Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86409 - Adding PHP support for .html files causes Segmentation Fault for all error documents
Summary: Adding PHP support for .html files causes Segmentation Fault for all error do...
Keywords:
Status: CLOSED DUPLICATE of bug 91279
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 8.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-21 17:20 UTC by Stu Tomlinson
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:52:16 UTC


Attachments (Terms of Use)

Description Stu Tomlinson 2003-03-21 17:20:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Adding support for php in .html files somehow conflicts with the error
documents. Any error document results in the browser displaying the message 'the
document contains no data' - this is because the server process dies with this
ending up in the error log:
[Fri Mar 21 12:53:33 2003] [notice] child pid 4827 exit signal Segmentation
fault (11)

I have tried (briefly) to get a coredump with no success, and gdb doesn't want
to attach to the process (presumably due to the recent errata kernel's ptrace
vulnerability workaround).

Version-Release number of selected component (if applicable):
httpd-2.0.40-11 + php-4.2.2-11
(also confirmed on httpd-2.0.40-20 + php-4.2.2-16  from rawhide)

How reproducible:
Always

Steps to Reproduce:
1. Add php support to apache by adding this to /etc/httpd/conf.d/php.conf
<Files *.html>
    SetOutputFilter PHP
    SetInputFilter PHP
    LimitRequestBody 524288
</Files>

2. Restart apache
service httpd restart

3. Attempt to access something that results in an error document (eg. a
non-existant page)
http://localhost/foobarnothereblah
    

Actual Results:  server process dies with segmentation fault and no data is
returned to browser

Expected Results:  server sends a nice 404 error document and the browser
displays it

Additional info:

This may be an apache/httpd thing or a php thing, but my gut feeling is it's
httpd so it's filed here.

I *did* have this working once, but that was a long time ago, and I was not
using RedHat packages but a hand-compiled apache & php. I'd prefer not to return
to that as it's a PITA.

Comment 1 Stu Tomlinson 2003-07-03 12:38:05 UTC
Hmm. Someone filed a dupe and that one got fixed - and it got released in an
errata. Yay. Thank you!

*** This bug has been marked as a duplicate of 91279 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:52:16 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.